org.eclnt.jsfserver.elements.componentnodes

## Class HEXIMAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HEXIMAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class HEXIMAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HEXIMAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HEXIMAGENode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindActionListener(IActionListenerDelegation value)`
    `HEXIMAGENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindAlign(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindAvoidscaling(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindBackground(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindBorder(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindClientname(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindColspan(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindFocusable(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindHeight(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindHelpid(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindHexdata(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindKeepratio(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindRounding(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindShadow(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindTooltip(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindValign(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindWidth(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindX(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `bindY(IDynamicContentBindingObject value)`
    `HEXIMAGENode` | `setAccessiblename(java.lang.String value)`
    `HEXIMAGENode` | `setActionListener(java.lang.String value)`
    `HEXIMAGENode` | `setAdapterbinding(java.lang.String value)`
    `HEXIMAGENode` | `setAlign(java.lang.String value)`
    `HEXIMAGENode` | `setAnimatechangeofsize(boolean value)`
    `HEXIMAGENode` | `setAnimatechangeofsize(java.lang.String value)`
    `HEXIMAGENode` | `setAttributemacro(java.lang.String value)`
    `HEXIMAGENode` | `setAvoidscaling(boolean value)`
    `HEXIMAGENode` | `setAvoidscaling(java.lang.String value)`
    `HEXIMAGENode` | `setBackground(java.lang.String value)`
    `HEXIMAGENode` | `setBorder(java.lang.String value)`
    `HEXIMAGENode` | `setClientname(java.lang.String value)`
    `HEXIMAGENode` | `setColspan(int value)`
    `HEXIMAGENode` | `setColspan(java.lang.String value)`
    `HEXIMAGENode` | `setComment(java.lang.String value)`
    `HEXIMAGENode` | `setConfiginfo(java.lang.String value)`
    `HEXIMAGENode` | `setDragroundtrip(boolean value)`
    `HEXIMAGENode` | `setDragroundtrip(java.lang.String value)`
    `HEXIMAGENode` | `setDragsend(java.lang.String value)`
    `HEXIMAGENode` | `setDroprastertext(java.lang.String value)`
    `HEXIMAGENode` | `setDropreceive(java.lang.String value)`
    `HEXIMAGENode` | `setDropshape(java.lang.String value)`
    `HEXIMAGENode` | `setFocusable(boolean value)`
    `HEXIMAGENode` | `setFocusable(java.lang.String value)`
    `HEXIMAGENode` | `setFocusdrawborder(boolean value)`
    `HEXIMAGENode` | `setFocusdrawborder(java.lang.String value)`
    `HEXIMAGENode` | `setFxstyleseq(java.lang.String value)`
    `HEXIMAGENode` | `setHeight(int value)`
    `HEXIMAGENode` | `setHeight(java.lang.String value)`
    `HEXIMAGENode` | `setHelpid(java.lang.String value)`
    `HEXIMAGENode` | `setHexdata(java.lang.String value)`
    `HEXIMAGENode` | `setId(java.lang.String value)`
    `HEXIMAGENode` | `setInvokeevent(java.lang.String value)`
    `HEXIMAGENode` | `setKeepratio(boolean value)`
    `HEXIMAGENode` | `setKeepratio(java.lang.String value)`
    `HEXIMAGENode` | `setPopupmenu(java.lang.String value)`
    `HEXIMAGENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `HEXIMAGENode` | `setReference(java.lang.String value)`
    `HEXIMAGENode` | `setRendered(boolean value)`
    `HEXIMAGENode` | `setRendered(java.lang.String value)`
    `HEXIMAGENode` | `setRounding(int value)`
    `HEXIMAGENode` | `setRounding(java.lang.String value)`
    `HEXIMAGENode` | `setRowalignmenty(java.lang.String value)`
    `HEXIMAGENode` | `setShadow(java.lang.String value)`
    `HEXIMAGENode` | `setStyleseq(java.lang.String value)`
    `HEXIMAGENode` | `setStylevariant(java.lang.String value)`
    `HEXIMAGENode` | `setTooltip(java.lang.String value)`
    `HEXIMAGENode` | `setValign(java.lang.String value)`
    `HEXIMAGENode` | `setWidth(int value)`
    `HEXIMAGENode` | `setWidth(java.lang.String value)`
    `HEXIMAGENode` | `setX(int value)`
    `HEXIMAGENode` | `setX(java.lang.String value)`
    `HEXIMAGENode` | `setY(int value)`
    `HEXIMAGENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HEXIMAGENode

          public HEXIMAGENode()

  - ### Method Detail

    - #### setId

          public HEXIMAGENode setId(java.lang.String value)

    - #### setAccessiblename

          public HEXIMAGENode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public HEXIMAGENode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public HEXIMAGENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public HEXIMAGENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public HEXIMAGENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public HEXIMAGENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public HEXIMAGENode setAlign(java.lang.String value)

    - #### bindAlign

          public HEXIMAGENode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public HEXIMAGENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public HEXIMAGENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public HEXIMAGENode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public HEXIMAGENode setAttributemacro(java.lang.String value)

    - #### setAvoidscaling

          public HEXIMAGENode setAvoidscaling(java.lang.String value)

    - #### bindAvoidscaling

          public HEXIMAGENode bindAvoidscaling(IDynamicContentBindingObject value)

    - #### setAvoidscaling

          public HEXIMAGENode setAvoidscaling(boolean value)

    - #### setBackground

          public HEXIMAGENode setBackground(java.lang.String value)

    - #### bindBackground

          public HEXIMAGENode bindBackground(IDynamicContentBindingObject value)

    - #### setBorder

          public HEXIMAGENode setBorder(java.lang.String value)

    - #### bindBorder

          public HEXIMAGENode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public HEXIMAGENode setClientname(java.lang.String value)

    - #### bindClientname

          public HEXIMAGENode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public HEXIMAGENode setColspan(java.lang.String value)

    - #### bindColspan

          public HEXIMAGENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public HEXIMAGENode setColspan(int value)

    - #### setComment

          public HEXIMAGENode setComment(java.lang.String value)

    - #### bindComment

          public HEXIMAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HEXIMAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HEXIMAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public HEXIMAGENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public HEXIMAGENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public HEXIMAGENode setDragroundtrip(boolean value)

    - #### setDragsend

          public HEXIMAGENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public HEXIMAGENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public HEXIMAGENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public HEXIMAGENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public HEXIMAGENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public HEXIMAGENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public HEXIMAGENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public HEXIMAGENode bindDropshape(IDynamicContentBindingObject value)

    - #### setFocusable

          public HEXIMAGENode setFocusable(java.lang.String value)

    - #### bindFocusable

          public HEXIMAGENode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public HEXIMAGENode setFocusable(boolean value)

    - #### setFocusdrawborder

          public HEXIMAGENode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public HEXIMAGENode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public HEXIMAGENode setFocusdrawborder(boolean value)

    - #### setFxstyleseq

          public HEXIMAGENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public HEXIMAGENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public HEXIMAGENode setHeight(java.lang.String value)

    - #### bindHeight

          public HEXIMAGENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HEXIMAGENode setHeight(int value)

    - #### setHelpid

          public HEXIMAGENode setHelpid(java.lang.String value)

    - #### bindHelpid

          public HEXIMAGENode bindHelpid(IDynamicContentBindingObject value)

    - #### setHexdata

          public HEXIMAGENode setHexdata(java.lang.String value)

    - #### bindHexdata

          public HEXIMAGENode bindHexdata(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public HEXIMAGENode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public HEXIMAGENode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setKeepratio

          public HEXIMAGENode setKeepratio(java.lang.String value)

    - #### bindKeepratio

          public HEXIMAGENode bindKeepratio(IDynamicContentBindingObject value)

    - #### setKeepratio

          public HEXIMAGENode setKeepratio(boolean value)

    - #### setPopupmenu

          public HEXIMAGENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public HEXIMAGENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public HEXIMAGENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public HEXIMAGENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public HEXIMAGENode setReference(java.lang.String value)

    - #### setRendered

          public HEXIMAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public HEXIMAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HEXIMAGENode setRendered(boolean value)

    - #### setRounding

          public HEXIMAGENode setRounding(java.lang.String value)

    - #### bindRounding

          public HEXIMAGENode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public HEXIMAGENode setRounding(int value)

    - #### setRowalignmenty

          public HEXIMAGENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public HEXIMAGENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public HEXIMAGENode setShadow(java.lang.String value)

    - #### bindShadow

          public HEXIMAGENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public HEXIMAGENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public HEXIMAGENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HEXIMAGENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HEXIMAGENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public HEXIMAGENode setTooltip(java.lang.String value)

    - #### bindTooltip

          public HEXIMAGENode bindTooltip(IDynamicContentBindingObject value)

    - #### setValign

          public HEXIMAGENode setValign(java.lang.String value)

    - #### bindValign

          public HEXIMAGENode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HEXIMAGENode setWidth(java.lang.String value)

    - #### bindWidth

          public HEXIMAGENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HEXIMAGENode setWidth(int value)

    - #### setX

          public HEXIMAGENode setX(java.lang.String value)

    - #### bindX

          public HEXIMAGENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public HEXIMAGENode setX(int value)

    - #### setY

          public HEXIMAGENode setY(java.lang.String value)

    - #### bindY

          public HEXIMAGENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public HEXIMAGENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.